Loading...
Searching...
No Matches
DcmJsonFormat::Indention Class Reference

A class to create small proxy objects that ease indention handling. More...

## Public Member Functions

Indention & | operator++ ()
| increases current indention.
Indention & | operator-- ()
| decreases current indention

## Private Member Functions

| Indention (DcmJsonFormat &format)
| private constructor, used by DcmJsonFormat
void | printIndention (STD_NAMESPACE ostream &out) const
| prints the current indention using the parent formatter

## Private Attributes

DcmJsonFormat & | m_Format
| reference to the parent formatter object

## Friends

class | DcmJsonFormat
| allow DcmJsonFormat to use this class' private members
STD_NAMESPACE ostream & | operator<< (STD_NAMESPACE ostream &out, const Indention &indention)
| output current indention to an output stream.

## Detailed Description

A class to create small proxy objects that ease indention handling.

Each Indention object only contains a reference to the DcmJsonFormat object that created it and its only purpose is to call the respective methods of that object when one of its overloaded operators is used.

## Constructor & Destructor Documentation

## Indention()

DcmJsonFormat::Indention::Indention | ( | DcmJsonFormat & | format | ) |

inline private

private constructor, used by DcmJsonFormat

Parameters

  format | the format

References DcmJsonFormat, and m_Format.

Referenced by operator++(), operator--(), and operator<<.

## Member Function Documentation

## operator++()

Indention & DcmJsonFormat::Indention::operator++ | ( |  | ) |

inline

increases current indention.

Returns
  *this

References Indention(), and m_Format.

## operator--()

Indention & DcmJsonFormat::Indention::operator-- | ( |  | ) |

inline

decreases current indention

Returns
  *this

References Indention(), and m_Format.

## printIndention()

void DcmJsonFormat::Indention::printIndention | ( | STD_NAMESPACE ostream & | out | ) | const

inline private

prints the current indention using the parent formatter

Parameters

  out | the stream to print to

References m_Format.

Referenced by operator<<.

## Related Definitions

## operator<<

STD_NAMESPACE ostream & operator<< | ( | STD_NAMESPACE ostream & | out,
|  | const Indention & | indention )

friend

output current indention to an output stream.

Parameters

  out | the output stream to use
  indention | the indention to print

Returns
  out

References Indention(), and printIndention().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcjson.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0